# Form implementation generated from reading ui file 'src/eric7/Project/TranslationPropertiesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_TranslationPropertiesDialog(object):
    def setupUi(self, TranslationPropertiesDialog):
        TranslationPropertiesDialog.setObjectName("TranslationPropertiesDialog")
        TranslationPropertiesDialog.resize(700, 543)
        TranslationPropertiesDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(TranslationPropertiesDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.label_2 = QtWidgets.QLabel(parent=TranslationPropertiesDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.transPatternPicker = EricPathPicker(parent=TranslationPropertiesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.transPatternPicker.sizePolicy().hasHeightForWidth())
        self.transPatternPicker.setSizePolicy(sizePolicy)
        self.transPatternPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.transPatternPicker.setObjectName("transPatternPicker")
        self.gridLayout.addWidget(self.transPatternPicker, 0, 1, 1, 1)
        self.textLabel1_3 = QtWidgets.QLabel(parent=TranslationPropertiesDialog)
        self.textLabel1_3.setWordWrap(True)
        self.textLabel1_3.setObjectName("textLabel1_3")
        self.gridLayout.addWidget(self.textLabel1_3, 1, 0, 1, 2)
        self.label = QtWidgets.QLabel(parent=TranslationPropertiesDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 2, 0, 1, 1)
        self.transBinPathPicker = EricPathPicker(parent=TranslationPropertiesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.transBinPathPicker.sizePolicy().hasHeightForWidth())
        self.transBinPathPicker.setSizePolicy(sizePolicy)
        self.transBinPathPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.transBinPathPicker.setObjectName("transBinPathPicker")
        self.gridLayout.addWidget(self.transBinPathPicker, 2, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=TranslationPropertiesDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 3, 0, 1, 1)
        self.sourceStartPathEdit = QtWidgets.QLineEdit(parent=TranslationPropertiesDialog)
        self.sourceStartPathEdit.setObjectName("sourceStartPathEdit")
        self.gridLayout.addWidget(self.sourceStartPathEdit, 3, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.exceptionsGroup = QtWidgets.QGroupBox(parent=TranslationPropertiesDialog)
        self.exceptionsGroup.setObjectName("exceptionsGroup")
        self._4 = QtWidgets.QGridLayout(self.exceptionsGroup)
        self._4.setObjectName("_4")
        self.exceptDirButton = QtWidgets.QPushButton(parent=self.exceptionsGroup)
        self.exceptDirButton.setObjectName("exceptDirButton")
        self._4.addWidget(self.exceptDirButton, 2, 3, 1, 1)
        self.exceptFileButton = QtWidgets.QPushButton(parent=self.exceptionsGroup)
        self.exceptFileButton.setObjectName("exceptFileButton")
        self._4.addWidget(self.exceptFileButton, 2, 2, 1, 1)
        self.addExceptionButton = QtWidgets.QPushButton(parent=self.exceptionsGroup)
        self.addExceptionButton.setEnabled(False)
        self.addExceptionButton.setObjectName("addExceptionButton")
        self._4.addWidget(self.addExceptionButton, 2, 1, 1, 1)
        self.deleteExceptionButton = QtWidgets.QPushButton(parent=self.exceptionsGroup)
        self.deleteExceptionButton.setEnabled(False)
        self.deleteExceptionButton.setObjectName("deleteExceptionButton")
        self._4.addWidget(self.deleteExceptionButton, 2, 0, 1, 1)
        self.exceptionEdit = QtWidgets.QLineEdit(parent=self.exceptionsGroup)
        self.exceptionEdit.setObjectName("exceptionEdit")
        self._4.addWidget(self.exceptionEdit, 1, 0, 1, 4)
        self.exceptionsList = QtWidgets.QListWidget(parent=self.exceptionsGroup)
        self.exceptionsList.setAlternatingRowColors(True)
        self.exceptionsList.setObjectName("exceptionsList")
        self._4.addWidget(self.exceptionsList, 0, 0, 1, 4)
        self.verticalLayout.addWidget(self.exceptionsGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=TranslationPropertiesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)
        self.label_2.setBuddy(self.transPatternPicker)
        self.label.setBuddy(self.transBinPathPicker)
        self.label_3.setBuddy(self.sourceStartPathEdit)

        self.retranslateUi(TranslationPropertiesDialog)
        self.buttonBox.accepted.connect(TranslationPropertiesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(TranslationPropertiesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(TranslationPropertiesDialog)
        TranslationPropertiesDialog.setTabOrder(self.transPatternPicker, self.transBinPathPicker)
        TranslationPropertiesDialog.setTabOrder(self.transBinPathPicker, self.sourceStartPathEdit)
        TranslationPropertiesDialog.setTabOrder(self.sourceStartPathEdit, self.exceptionsList)
        TranslationPropertiesDialog.setTabOrder(self.exceptionsList, self.exceptionEdit)
        TranslationPropertiesDialog.setTabOrder(self.exceptionEdit, self.deleteExceptionButton)
        TranslationPropertiesDialog.setTabOrder(self.deleteExceptionButton, self.addExceptionButton)
        TranslationPropertiesDialog.setTabOrder(self.addExceptionButton, self.exceptFileButton)
        TranslationPropertiesDialog.setTabOrder(self.exceptFileButton, self.exceptDirButton)

    def retranslateUi(self, TranslationPropertiesDialog):
        _translate = QtCore.QCoreApplication.translate
        TranslationPropertiesDialog.setWindowTitle(_translate("TranslationPropertiesDialog", "Translation Properties"))
        self.label_2.setText(_translate("TranslationPropertiesDialog", "&Translation Path Pattern:"))
        self.transPatternPicker.setToolTip(_translate("TranslationPropertiesDialog", "Enter the path pattern for the translation files"))
        self.transPatternPicker.setWhatsThis(_translate("TranslationPropertiesDialog", "<b>Translation Pattern</b>\n"
"<p>Enter the path pattern for the translation files using %language% at the place of the language code (e.g. /path_to_eric/i18n/eric7_%language%.ts). This will result in translation files like /path_to_eric/i18n/eric7_de.ts.</p>"))
        self.textLabel1_3.setText(_translate("TranslationPropertiesDialog", "(Use \'%language%\' where the language code should be inserted, e.g. i18n/eric7_%language%.ts)"))
        self.label.setText(_translate("TranslationPropertiesDialog", "&Binary Translations Path:"))
        self.transBinPathPicker.setToolTip(_translate("TranslationPropertiesDialog", "Enter the path for the binary translation files (*.qm)"))
        self.transBinPathPicker.setWhatsThis(_translate("TranslationPropertiesDialog", "<b>Binary Translations Path</b>\n"
"<p>Enter the directory for the binary translation files (*.qm). Leave it empty to store them together with the *.ts files.</p>"))
        self.label_3.setText(_translate("TranslationPropertiesDialog", "&Source Start Path:"))
        self.sourceStartPathEdit.setToolTip(_translate("TranslationPropertiesDialog", "Enter the start of the sources directory relative to the project directory"))
        self.exceptionsGroup.setTitle(_translate("TranslationPropertiesDialog", "Exclude from translation"))
        self.exceptDirButton.setToolTip(_translate("TranslationPropertiesDialog", "Press to select a directory via a selection dialog"))
        self.exceptDirButton.setText(_translate("TranslationPropertiesDialog", "Select d&irectory..."))
        self.exceptFileButton.setToolTip(_translate("TranslationPropertiesDialog", "Press to select a file via a selection dialog"))
        self.exceptFileButton.setText(_translate("TranslationPropertiesDialog", "Select &file..."))
        self.addExceptionButton.setToolTip(_translate("TranslationPropertiesDialog", "Press to add the entered path or file to the list"))
        self.addExceptionButton.setText(_translate("TranslationPropertiesDialog", "&Add"))
        self.deleteExceptionButton.setToolTip(_translate("TranslationPropertiesDialog", "Press to delete the selected entry from the list"))
        self.deleteExceptionButton.setText(_translate("TranslationPropertiesDialog", "&Delete"))
        self.exceptionEdit.setToolTip(_translate("TranslationPropertiesDialog", "Enter a path or file to be added"))
        self.exceptionsList.setToolTip(_translate("TranslationPropertiesDialog", "List of paths or files to excude from translation"))
        self.exceptionsList.setSortingEnabled(True)
from eric7.EricWidgets.EricPathPicker import EricPathPicker
